version: "3.9"
services:
  technitium-dns:
    image: technitium/dns-server:latest
    container_name: technitium-dns
    restart: unless-stopped
    ports:
      - "53:53/tcp"
      - "53:53/udp"
      - "5380:5380/tcp"       # Web UI
    volumes:
      - "config-dns:/etc/dns"
    environment:
      DNS_SERVER_DOMAIN: "dns.bendtstudio.com"
      DNS_SERVER_ADMIN_PASSWORD: "bRQ#@DpijNcs6LxT"
      TZ: "America/New_York"
    deploy:
      mode: replicated
      replicas: 1
      placement:
        constraints:
          - node.hostname = tpi-n1
      restart_policy:
        condition: any
volumes:
  config-dns:
